Name:           log4shib
Version:        1.0.9
Release:        1%{?dist}
Summary:        C++ logging library for Shibboleth (OpenSAML)

Group:          Development/Libraries
License:        LGPLv2+
URL:            https://wiki.shibboleth.net/confluence/display/OpenSAML/log4shib
Source0:        http://shibboleth.net/downloads/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  automake, autoconf, libtool

%description
log4shib is a forked version of log4cpp that has been created for the 
Shibboleth project to ensure a consistent, working snapshot that builds 
reliably on the necessary platforms.

There are no plans to support this package outside of a Shibboleth (or 
OpenSAML) context, and enhancements are unlikely. If an opportunity to 
converge back with log4cpp arises, it may happen, but that code has 
undergone significant changes since the snapshot the fork was based on.

%package devel
Summary:        Header files, libraries and development man pages for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
%if 0%{?el4}%{?el5}
Requires:       pkgconfig
%endif

%description devel
This package contains the header files, static libraries and development
man pages for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package doc
Summary:        Development documentation for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description doc
This package contains the development documentation for %{name}.
If you like to documentation to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q 
#Convert line endings.
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
autoreconf -fiv
%configure --disable-static
# Packages are not supposed to add %optflags or %__global_ldflags to *.pcs
sed -i -e "s|%{optflags}||;s|%{__global_ldflags}||" %{name}.pc
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mv %{buildroot}/usr/share/doc/%{name}-%{version} rpmdocs
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%{_libdir}/liblog4shib.so.*
%doc ChangeLog 
%license COPYING

%files devel
%defattr(-, root, root, 0755)
%{_bindir}/log4shib-config
%{_includedir}/log4shib/
%{_libdir}/liblog4shib.so
%{_libdir}/pkgconfig/log4shib.pc
%{_datadir}/aclocal/log4shib.m4
%{_mandir}/man3/log4shib*

%files doc
%defattr(-, root, root, 0755)
%doc rpmdocs/*

%changelog
* Thu Feb 26 2015 Guido Grazioli <guido.grazioli@gmail.com> - 1.0.9-1
- Initial package
